--------------------------------------------------------------------------------
-- Item
--------------------------------------------------------------------------------
Item = {}

function Item:new() 
	local o = {}
	setmetatable(o, self)
	self.__index = self
	
	Item:construct(o)
	
	return o
end

function Item:construct(o)
	
	o.x = 0
	o.y = 0
	
	o.alive = true
	
	o.curranim = ''
	
	local animScale = 4.0
	
	local animations = {}
	
	animations['gold'] = loadAnimation("anim/item/gold", 26, 68, 9, 15, animScale, false)
	animations['potion'] = loadAnimation("anim/item/potion", 26, 68, 9, 15, animScale, false)
	
	o.anims = animations
	
end

function Item:update(dt)
	
	if not self.alive then
		return
	end
	
	self.anims[self.curranim]:update(dt)

end

function Item:draw()
	if not self.alive then
		return
	end
	
	--self.anims[self.curranim]:draw(self.x - camerax, 46 + self.y - cameray, 1)
	local cam = Camera
	self.anims[self.curranim]:draw( cam.zoom * (self.x - cam.x) + cam.focusx, cam.zoom * (self.y - cam.y) + cam.focusy, 1, cam.zoom)
end

function Item:pickedUp()
	self.alive = false
end
